---
version: "3"

networks:
  hdf5-view-net:
    ipam:
      driver: default
      config:
        - subnet: 172.23.0.0/16


services:

  hdf5-web-gui:

    # Build the docker image, give it a nice name
    build:
      context: ../.
      dockerfile: ./docker/Dockerfile
    image: maxiv-scisw-hdf5/hdf5-web-gui:stable
    container_name: maxiv-scisw-hdf5_hdf5-web-gui

    # Attach ssl certificates and config files to the container
    # Locations on the host system are either absolute path names or relative
    # to the location of the Dockerfile, not the build context
    volumes:

      # The nginx config file
      - ./nginx-cas-https-maxiv.conf:/etc/nginx/conf.d/default.conf:ro

      # The web gui config file
      - ../config/config-cas-https-maxiv.json:/app/config/config.json:ro

      # The ssl certificates for the nginx server
      - /etc/ssl/localcerts/star_maxiv_lu_se_cert.cer:/app/certs/ssl_cert.crt:ro
      - /etc/ssl/localcerts/star_maxiv_lu_se.key:/app/certs/ssl_cert.key:ro

    # Set the host name - needs to match certificate and config file contents
    hostname: hdf5view.maxiv.lu.se

    # Open ports to the host machine
    ports:
      - "443:8443"
      - "80:8080"

    networks:
      - hdf5-view-net

    labels:
      org.label-schema.group: "viewing"
